### Hierarchy

- Controller

## Index

### Properties

- $timeout_
- active
- dirty
- editableTreeCtrls
- gmfThemes_
- gmfTreeManager_
- map
- scope_
- selectedEditableTreeCtrl
- state
- treeCtrlsWatcherUnregister_
- vectorLayer

### Methods

- handleActiveChange_
- handleDestroy_
- stopEditing

## Properties

### $timeout_

$timeout_: ITimeoutService

- Defined in src/editing/editFeatureSelectorComponent.js:137

### active

active: boolean

- Defined in src/editing/editFeatureSelectorComponent.js:113

### dirty

dirty: boolean

- Defined in src/editing/editFeatureSelectorComponent.js:191

Flag shared with the `gmf-editfeature` directive used to determine if it has unsaved changes or not.

### editableTreeCtrls

editableTreeCtrls: LayertreeController[]

- Defined in src/editing/editFeatureSelectorComponent.js:198

List of editable Layertree controllers.

### gmfThemes_

gmfThemes_: any

- Defined in src/editing/editFeatureSelectorComponent.js:142

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/editing/editFeatureSelectorComponent.js:147

### map

map: Map

- Defined in src/editing/editFeatureSelectorComponent.js:120

### scope_

scope_: IScope

- Defined in src/editing/editFeatureSelectorComponent.js:132

### selectedEditableTreeCtrl

selectedEditableTreeCtrl: LayertreeController

- Defined in src/editing/editFeatureSelectorComponent.js:205

The currently selected Layertree controller.

### state

state: string

- Defined in src/editing/editFeatureSelectorComponent.js:211

### treeCtrlsWatcherUnregister_

treeCtrlsWatcherUnregister_: () => void

- Defined in src/editing/editFeatureSelectorComponent.js:176

#### Type declaration

- - (): void

  - #### Returns void

### vectorLayer

vectorLayer: VectorLayer<VectorSource<Geometry>>

- Defined in src/editing/editFeatureSelectorComponent.js:125

## Methods

### handleActiveChange_

- handleActiveChange_(active: boolean): void

- - Defined in src/editing/editFeatureSelectorComponent.js:256

  Called when the active property of the this directive changes. Manage the activation/deactivation accordingly.

  #### Parameters

  - ##### active: boolean

    Whether the directive is active or not.

  #### Returns void

### handleDestroy_

- handleDestroy_(): void

- - Defined in src/editing/editFeatureSelectorComponent.js:274

  #### Returns void

### stopEditing

- stopEditing(): void

- - Defined in src/editing/editFeatureSelectorComponent.js:246

  Called when the 'stop editing' button is clicked. Set the 'state' variable to 'pending' allow the editfeature directive to check if it can stop or if it requires confirmation due to unsaved modifications.

  #### Returns void

Generated using TypeDoc